LiveMeasurementException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.monitor.LiveMeasurementException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.monitor
Class LiveMeasurementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.measurement.monitor.LiveMeasurementException

All Implemented Interfaces:
  java.io.Serializable

    public class LiveMeasurementException

extends NestedException

To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`LiveMeasurementException()` Constructor for LiveMeasurementException.
`LiveMeasurementException(java.lang.String s)` Constructor for LiveMeasurementException.
`LiveMeasurementException(java.lang.String s, java.lang.Throwable t)` Constructor for LiveMeasurementException.
`LiveMeasurementException(java.lang.String s, java.util.Vector v)` Constructor for LiveMeasurementException.
`LiveMeasurementException(java.lang.Throwable t)` Constructor for LiveMeasurementException.

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveMeasurementException

    public LiveMeasurementException()

  Constructor for LiveMeasurementException.

### LiveMeasurementException

    public LiveMeasurementException(java.lang.String s)

  Constructor for LiveMeasurementException.

  Parameters:
    `arg0` -

### LiveMeasurementException

    public LiveMeasurementException(java.lang.Throwable t)

  Constructor for LiveMeasurementException.

  Parameters:
    `arg0` -

### LiveMeasurementException

    public LiveMeasurementException(java.lang.String s,
                                    java.lang.Throwable t)

  Constructor for LiveMeasurementException.

  Parameters:
    `arg0` -
    `arg1` -

### LiveMeasurementException

    public LiveMeasurementException(java.lang.String s,
                                    java.util.Vector v)

  Constructor for LiveMeasurementException.

  Parameters:
    `arg0` -
    `arg1` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.